Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.timer
Class TimerNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              javax.management.timer.TimerNotification

All Implemented Interfaces:
  Serializable

    public class TimerNotification

extends Notification

This class provides definitions of the notifications sent by timer MBeans.
It defines a timer notification identifier which allows to retrieve a timer notification from the list of notifications of a timer MBean.

The timer notifications are created and handled by the timer MBean.

Since:
  1.5
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`TimerNotification(String type, Object source, long sequenceNumber, long timeStamp, String msg, Integer id)` Creates a timer notification object.

Method Summary
`Integer` | `getNotificationID()` Gets the identifier of this timer notification.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimerNotification

    public TimerNotification(String type,
                             Object source,
                             long sequenceNumber,
                             long timeStamp,
                             String msg,
                             Integer id)

  Creates a timer notification object.

  Parameters:
    `type` - The notification type.
    `source` - The notification producer.
    `sequenceNumber` - The notification sequence number within the source object.
    `timeStamp` - The notification emission date.
    `msg` - The notification message.
    `id` - The notification identifier.

Method Detail

### getNotificationID

    public Integer getNotificationID()

  Gets the identifier of this timer notification.

  Returns:
    The identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.